package com.example.rpserver.controller;

import com.example.rpserver.model.Credential;
import com.example.rpserver.model.CredentialItem;
import com.example.rpserver.repository.CredentialRepository;
import com.google.gson.JsonArray;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;


import java.util.LinkedList;
import java.util.List;

@RestController
public class RegisteredKeys {

	@Autowired
	CredentialRepository credentialRepository;

	@ResponseBody
	@PostMapping("/RegisteredKeys")
	public ResponseEntity<List<CredentialItem>> registeredKeys(){
		List<Credential> list = credentialRepository.getAllByIdIsNotNull();
		LinkedList<CredentialItem> items = new LinkedList<>();
		for(Credential credential : list){
			CredentialItem item = new CredentialItem();
			item.handle = credential.getIdentifier();
			item.base64handle = credential.getIdentifier();
			item.userVerificationMethod = credential.getUvMethod();
			item.date = credential.getDate().toString();
			items.add(item);
		}
		return ResponseEntity.ok(items);
	}
}
