package com.example.rpserver.model;

import com.webauthn4j.data.PublicKeyCredentialEntity;

import javax.persistence.*;
import java.util.Date;

@Entity
public class Credential {
	public Credential(Date date, long signCount, String identifier, String uvMethod, String userName, byte[] rawId) {
		this.date = date;
		this.signCount = signCount;
		this.identifier = identifier;
		this.uvMethod = uvMethod;
		this.userName = userName;
		this.rawId = rawId;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	public Credential() {

	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Column(name = "date")
	private Date date;

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	@Column(name = "sign_count", nullable = false)
	private long signCount;

	public long getSignCount() {
		return signCount;
	}

	public void setSignCount(int signCount) {
		this.signCount = signCount;
	}

	@Column(name = "identifier")
	private String identifier;

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String credential) {
		this.identifier = credential;
	}

	@Column(name = "uv_method")
	private String uvMethod;


	public String getUvMethod() {
		return uvMethod;
	}

	public void setUvMethod(String uvMethod) {
		this.uvMethod = uvMethod;
	}
	@Column(name = "user_name")
	private String userName;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	@Lob
	@Column(name = "raw_id")
	private byte[] rawId;

	public byte[] getRawId() {
		return rawId;
	}

	public void setRawId(byte[] rawId) {
		this.rawId = rawId;
	}
}
